<html>
<head>
<title>JS Promise</title>
</head>
<body>
	<script type="text/javascript">

		function promise1() {
		    const myPromise = new Promise((resolve, reject) => {
		        setTimeout(() => {
		            resolve('done');
		        }, 1000);
		    });
		    return myPromise;
		}

		function promise2() {
		    const myPromise = new Promise((resolve, reject) => {
		        setTimeout(() => {
		            reject('ERROR!');
		        }, 1000);
		    });
		    return myPromise;
		}

		function promise3(timeout) {
		    const myPromise = new Promise((resolve, reject) => {
		        setTimeout(() => {
		            resolve({ "foo" : "bar" });
		        }, timeout);
		    });
		    return myPromise;
		}

	</script>
</body>
</html>